package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[系统类型]
 */
@Component("ionicdemo_SystemTypeCodeList")
public class SystemTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_SystemType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("WEB");
		item0.setId("WEB");
		item0.setText("WEB系统");
		item0.setLabel("WEB系统");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("WEB",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("CS");
		item1.setId("CS");
		item1.setText("C/S系统");
		item1.setLabel("C/S系统");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("CS",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}